### YamlMime:ManagedReference
items:
- uid: adas_core.Domain.Models.AppSettings.MappingInterventions
  commentId: T:adas_core.Domain.Models.AppSettings.MappingInterventions
  id: MappingInterventions
  parent: adas_core.Domain.Models.AppSettings
  children:
  - adas_core.Domain.Models.AppSettings.MappingInterventions.Category
  - adas_core.Domain.Models.AppSettings.MappingInterventions.Codes
  - adas_core.Domain.Models.AppSettings.MappingInterventions.Group
  - adas_core.Domain.Models.AppSettings.MappingInterventions.Name
  - adas_core.Domain.Models.AppSettings.MappingInterventions.Type
  - adas_core.Domain.Models.AppSettings.MappingInterventions.Value
  langs:
  - csharp
  - vb
  name: MappingInterventions
  nameWithType: MappingInterventions
  fullName: adas_core.Domain.Models.AppSettings.MappingInterventions
  type: Class
  source:
    remote:
      path: adas-core.Domain/Models/AppSettings/ApiSettings.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: MappingInterventions
    path: ../../adas-core.Domain/Models/AppSettings/ApiSettings.cs
    startLine: 502
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.AppSettings
  summary: Represents a collection or configuration for mapping interventions, providing the means to associate intervention data with corresponding target structures or actions.
  example: []
  syntax:
    content: public class MappingInterventions
    content.vb: Public Class MappingInterventions
  inheritance:
  - System.Object
  inheritedMembers:
  - System.Object.Equals(System.Object)
  - System.Object.Equals(System.Object,System.Object)
  - System.Object.GetHashCode
  - System.Object.GetType
  - System.Object.MemberwiseClone
  - System.Object.ReferenceEquals(System.Object,System.Object)
  - System.Object.ToString
  extensionMethods:
  - System.Object.adas_core.Domain.Utils.NumberUtils.IsNumber
  - System.Object.adas_core.Domain.Utils.NumberUtils.ToDouble
  - System.Object.adas_core.Domain.Utils.ObjectUtils.ToStr
- uid: adas_core.Domain.Models.AppSettings.MappingInterventions.Type
  commentId: P:adas_core.Domain.Models.AppSettings.MappingInterventions.Type
  id: Type
  parent: adas_core.Domain.Models.AppSettings.MappingInterventions
  langs:
  - csharp
  - vb
  name: Type
  nameWithType: MappingInterventions.Type
  fullName: adas_core.Domain.Models.AppSettings.MappingInterventions.Type
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/AppSettings/ApiSettings.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Type
    path: ../../adas-core.Domain/Models/AppSettings/ApiSettings.cs
    startLine: 504
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.AppSettings
  syntax:
    content: public string? Type { get; set; }
    parameters: []
    return:
      type: System.String
    content.vb: Public Property Type As String
  overload: adas_core.Domain.Models.AppSettings.MappingInterventions.Type*
- uid: adas_core.Domain.Models.AppSettings.MappingInterventions.Group
  commentId: P:adas_core.Domain.Models.AppSettings.MappingInterventions.Group
  id: Group
  parent: adas_core.Domain.Models.AppSettings.MappingInterventions
  langs:
  - csharp
  - vb
  name: Group
  nameWithType: MappingInterventions.Group
  fullName: adas_core.Domain.Models.AppSettings.MappingInterventions.Group
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/AppSettings/ApiSettings.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Group
    path: ../../adas-core.Domain/Models/AppSettings/ApiSettings.cs
    startLine: 505
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.AppSettings
  syntax:
    content: public string? Group { get; set; }
    parameters: []
    return:
      type: System.String
    content.vb: Public Property Group As String
  overload: adas_core.Domain.Models.AppSettings.MappingInterventions.Group*
- uid: adas_core.Domain.Models.AppSettings.MappingInterventions.Name
  commentId: P:adas_core.Domain.Models.AppSettings.MappingInterventions.Name
  id: Name
  parent: adas_core.Domain.Models.AppSettings.MappingInterventions
  langs:
  - csharp
  - vb
  name: Name
  nameWithType: MappingInterventions.Name
  fullName: adas_core.Domain.Models.AppSettings.MappingInterventions.Name
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/AppSettings/ApiSettings.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Name
    path: ../../adas-core.Domain/Models/AppSettings/ApiSettings.cs
    startLine: 506
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.AppSettings
  syntax:
    content: public string? Name { get; set; }
    parameters: []
    return:
      type: System.String
    content.vb: Public Property Name As String
  overload: adas_core.Domain.Models.AppSettings.MappingInterventions.Name*
- uid: adas_core.Domain.Models.AppSettings.MappingInterventions.Category
  commentId: P:adas_core.Domain.Models.AppSettings.MappingInterventions.Category
  id: Category
  parent: adas_core.Domain.Models.AppSettings.MappingInterventions
  langs:
  - csharp
  - vb
  name: Category
  nameWithType: MappingInterventions.Category
  fullName: adas_core.Domain.Models.AppSettings.MappingInterventions.Category
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/AppSettings/ApiSettings.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Category
    path: ../../adas-core.Domain/Models/AppSettings/ApiSettings.cs
    startLine: 507
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.AppSettings
  syntax:
    content: public ObservationEnum.Category? Category { get; set; }
    parameters: []
    return:
      type: System.Nullable{adas_core.Domain.Enums.ObservationEnum.Category}
    content.vb: Public Property Category As ObservationEnum.Category?
  overload: adas_core.Domain.Models.AppSettings.MappingInterventions.Category*
- uid: adas_core.Domain.Models.AppSettings.MappingInterventions.Codes
  commentId: P:adas_core.Domain.Models.AppSettings.MappingInterventions.Codes
  id: Codes
  parent: adas_core.Domain.Models.AppSettings.MappingInterventions
  langs:
  - csharp
  - vb
  name: Codes
  nameWithType: MappingInterventions.Codes
  fullName: adas_core.Domain.Models.AppSettings.MappingInterventions.Codes
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/AppSettings/ApiSettings.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Codes
    path: ../../adas-core.Domain/Models/AppSettings/ApiSettings.cs
    startLine: 508
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.AppSettings
  syntax:
    content: public List<InterventionsCodes> Codes { get; set; }
    parameters: []
    return:
      type: System.Collections.Generic.List{adas_core.Domain.Models.AppSettings.InterventionsCodes}
    content.vb: Public Property Codes As List(Of InterventionsCodes)
  overload: adas_core.Domain.Models.AppSettings.MappingInterventions.Codes*
- uid: adas_core.Domain.Models.AppSettings.MappingInterventions.Value
  commentId: P:adas_core.Domain.Models.AppSettings.MappingInterventions.Value
  id: Value
  parent: adas_core.Domain.Models.AppSettings.MappingInterventions
  langs:
  - csharp
  - vb
  name: Value
  nameWithType: MappingInterventions.Value
  fullName: adas_core.Domain.Models.AppSettings.MappingInterventions.Value
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/AppSettings/ApiSettings.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Value
    path: ../../adas-core.Domain/Models/AppSettings/ApiSettings.cs
    startLine: 509
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.AppSettings
  syntax:
    content: public List<InterventionsValues>? Value { get; set; }
    parameters: []
    return:
      type: System.Collections.Generic.List{adas_core.Domain.Models.AppSettings.InterventionsValues}
    content.vb: Public Property Value As List(Of InterventionsValues)
  overload: adas_core.Domain.Models.AppSettings.MappingInterventions.Value*
references:
- uid: adas_core.Domain.Models.AppSettings
  commentId: N:adas_core.Domain.Models.AppSettings
  href: adas_core.html
  name: adas_core.Domain.Models.AppSettings
  nameWithType: adas_core.Domain.Models.AppSettings
  fullName: adas_core.Domain.Models.AppSettings
  spec.csharp:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Models
    name: Models
    href: adas_core.Domain.Models.html
  - name: .
  - uid: adas_core.Domain.Models.AppSettings
    name: AppSettings
    href: adas_core.Domain.Models.AppSettings.html
  spec.vb:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Models
    name: Models
    href: adas_core.Domain.Models.html
  - name: .
  - uid: adas_core.Domain.Models.AppSettings
    name: AppSettings
    href: adas_core.Domain.Models.AppSettings.html
- uid: System.Object
  commentId: T:System.Object
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object
  name: object
  nameWithType: object
  fullName: object
  nameWithType.vb: Object
  fullName.vb: Object
  name.vb: Object
- uid: System.Object.Equals(System.Object)
  commentId: M:System.Object.Equals(System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  name: Equals(object)
  nameWithType: object.Equals(object)
  fullName: object.Equals(object)
  nameWithType.vb: Object.Equals(Object)
  fullName.vb: Object.Equals(Object)
  name.vb: Equals(Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.Equals(System.Object,System.Object)
  commentId: M:System.Object.Equals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  name: Equals(object, object)
  nameWithType: object.Equals(object, object)
  fullName: object.Equals(object, object)
  nameWithType.vb: Object.Equals(Object, Object)
  fullName.vb: Object.Equals(Object, Object)
  name.vb: Equals(Object, Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.GetHashCode
  commentId: M:System.Object.GetHashCode
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  name: GetHashCode()
  nameWithType: object.GetHashCode()
  fullName: object.GetHashCode()
  nameWithType.vb: Object.GetHashCode()
  fullName.vb: Object.GetHashCode()
  spec.csharp:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
- uid: System.Object.GetType
  commentId: M:System.Object.GetType
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  name: GetType()
  nameWithType: object.GetType()
  fullName: object.GetType()
  nameWithType.vb: Object.GetType()
  fullName.vb: Object.GetType()
  spec.csharp:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
- uid: System.Object.MemberwiseClone
  commentId: M:System.Object.MemberwiseClone
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  name: MemberwiseClone()
  nameWithType: object.MemberwiseClone()
  fullName: object.MemberwiseClone()
  nameWithType.vb: Object.MemberwiseClone()
  fullName.vb: Object.MemberwiseClone()
  spec.csharp:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
- uid: System.Object.ReferenceEquals(System.Object,System.Object)
  commentId: M:System.Object.ReferenceEquals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  name: ReferenceEquals(object, object)
  nameWithType: object.ReferenceEquals(object, object)
  fullName: object.ReferenceEquals(object, object)
  nameWithType.vb: Object.ReferenceEquals(Object, Object)
  fullName.vb: Object.ReferenceEquals(Object, Object)
  name.vb: ReferenceEquals(Object, Object)
  spec.csharp:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.ToString
  commentId: M:System.Object.ToString
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  name: ToString()
  nameWithType: object.ToString()
  fullName: object.ToString()
  nameWithType.vb: Object.ToString()
  fullName.vb: Object.ToString()
  spec.csharp:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
- uid: System.Object.adas_core.Domain.Utils.NumberUtils.IsNumber
  commentId: M:adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  parent: adas_core.Domain.Utils.NumberUtils
  definition: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  name: IsNumber(object)
  nameWithType: NumberUtils.IsNumber(object)
  fullName: adas_core.Domain.Utils.NumberUtils.IsNumber(object)
  nameWithType.vb: NumberUtils.IsNumber(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.IsNumber(Object)
  name.vb: IsNumber(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.adas_core.Domain.Utils.NumberUtils.ToDouble
  commentId: M:adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  parent: adas_core.Domain.Utils.NumberUtils
  definition: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  name: ToDouble(object)
  nameWithType: NumberUtils.ToDouble(object)
  fullName: adas_core.Domain.Utils.NumberUtils.ToDouble(object)
  nameWithType.vb: NumberUtils.ToDouble(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.ToDouble(Object)
  name.vb: ToDouble(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.adas_core.Domain.Utils.ObjectUtils.ToStr
  commentId: M:adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  parent: adas_core.Domain.Utils.ObjectUtils
  definition: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  name: ToStr(object)
  nameWithType: ObjectUtils.ToStr(object)
  fullName: adas_core.Domain.Utils.ObjectUtils.ToStr(object)
  nameWithType.vb: ObjectUtils.ToStr(Object)
  fullName.vb: adas_core.Domain.Utils.ObjectUtils.ToStr(Object)
  name.vb: ToStr(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System
  commentId: N:System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System
  nameWithType: System
  fullName: System
- uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  commentId: M:adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  name: IsNumber(object)
  nameWithType: NumberUtils.IsNumber(object)
  fullName: adas_core.Domain.Utils.NumberUtils.IsNumber(object)
  nameWithType.vb: NumberUtils.IsNumber(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.IsNumber(Object)
  name.vb: IsNumber(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.NumberUtils
  commentId: T:adas_core.Domain.Utils.NumberUtils
  parent: adas_core.Domain.Utils
  href: adas_core.Domain.Utils.NumberUtils.html
  name: NumberUtils
  nameWithType: NumberUtils
  fullName: adas_core.Domain.Utils.NumberUtils
- uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  commentId: M:adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  name: ToDouble(object)
  nameWithType: NumberUtils.ToDouble(object)
  fullName: adas_core.Domain.Utils.NumberUtils.ToDouble(object)
  nameWithType.vb: NumberUtils.ToDouble(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.ToDouble(Object)
  name.vb: ToDouble(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  commentId: M:adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  name: ToStr(object)
  nameWithType: ObjectUtils.ToStr(object)
  fullName: adas_core.Domain.Utils.ObjectUtils.ToStr(object)
  nameWithType.vb: ObjectUtils.ToStr(Object)
  fullName.vb: adas_core.Domain.Utils.ObjectUtils.ToStr(Object)
  name.vb: ToStr(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.ObjectUtils
  commentId: T:adas_core.Domain.Utils.ObjectUtils
  parent: adas_core.Domain.Utils
  href: adas_core.Domain.Utils.ObjectUtils.html
  name: ObjectUtils
  nameWithType: ObjectUtils
  fullName: adas_core.Domain.Utils.ObjectUtils
- uid: adas_core.Domain.Utils
  commentId: N:adas_core.Domain.Utils
  href: adas_core.html
  name: adas_core.Domain.Utils
  nameWithType: adas_core.Domain.Utils
  fullName: adas_core.Domain.Utils
  spec.csharp:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Utils
    name: Utils
    href: adas_core.Domain.Utils.html
  spec.vb:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Utils
    name: Utils
    href: adas_core.Domain.Utils.html
- uid: adas_core.Domain.Models.AppSettings.MappingInterventions.Type*
  commentId: Overload:adas_core.Domain.Models.AppSettings.MappingInterventions.Type
  href: adas_core.Domain.Models.AppSettings.MappingInterventions.html#adas_core_Domain_Models_AppSettings_MappingInterventions_Type
  name: Type
  nameWithType: MappingInterventions.Type
  fullName: adas_core.Domain.Models.AppSettings.MappingInterventions.Type
- uid: System.String
  commentId: T:System.String
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.string
  name: string
  nameWithType: string
  fullName: string
  nameWithType.vb: String
  fullName.vb: String
  name.vb: String
- uid: adas_core.Domain.Models.AppSettings.MappingInterventions.Group*
  commentId: Overload:adas_core.Domain.Models.AppSettings.MappingInterventions.Group
  href: adas_core.Domain.Models.AppSettings.MappingInterventions.html#adas_core_Domain_Models_AppSettings_MappingInterventions_Group
  name: Group
  nameWithType: MappingInterventions.Group
  fullName: adas_core.Domain.Models.AppSettings.MappingInterventions.Group
- uid: adas_core.Domain.Models.AppSettings.MappingInterventions.Name*
  commentId: Overload:adas_core.Domain.Models.AppSettings.MappingInterventions.Name
  href: adas_core.Domain.Models.AppSettings.MappingInterventions.html#adas_core_Domain_Models_AppSettings_MappingInterventions_Name
  name: Name
  nameWithType: MappingInterventions.Name
  fullName: adas_core.Domain.Models.AppSettings.MappingInterventions.Name
- uid: adas_core.Domain.Models.AppSettings.MappingInterventions.Category*
  commentId: Overload:adas_core.Domain.Models.AppSettings.MappingInterventions.Category
  href: adas_core.Domain.Models.AppSettings.MappingInterventions.html#adas_core_Domain_Models_AppSettings_MappingInterventions_Category
  name: Category
  nameWithType: MappingInterventions.Category
  fullName: adas_core.Domain.Models.AppSettings.MappingInterventions.Category
- uid: System.Nullable{adas_core.Domain.Enums.ObservationEnum.Category}
  commentId: T:System.Nullable{adas_core.Domain.Enums.ObservationEnum.Category}
  parent: System
  definition: System.Nullable`1
  href: adas_core.Domain.Enums.ObservationEnum.html
  name: ObservationEnum.Category?
  nameWithType: ObservationEnum.Category?
  fullName: adas_core.Domain.Enums.ObservationEnum.Category?
  spec.csharp:
  - uid: adas_core.Domain.Enums.ObservationEnum
    name: ObservationEnum
    href: adas_core.Domain.Enums.ObservationEnum.html
  - name: .
  - uid: adas_core.Domain.Enums.ObservationEnum.Category
    name: Category
    href: adas_core.Domain.Enums.ObservationEnum.Category.html
  - name: '?'
  spec.vb:
  - uid: adas_core.Domain.Enums.ObservationEnum
    name: ObservationEnum
    href: adas_core.Domain.Enums.ObservationEnum.html
  - name: .
  - uid: adas_core.Domain.Enums.ObservationEnum.Category
    name: Category
    href: adas_core.Domain.Enums.ObservationEnum.Category.html
  - name: '?'
- uid: System.Nullable`1
  commentId: T:System.Nullable`1
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.nullable-1
  name: Nullable<T>
  nameWithType: Nullable<T>
  fullName: System.Nullable<T>
  nameWithType.vb: Nullable(Of T)
  fullName.vb: System.Nullable(Of T)
  name.vb: Nullable(Of T)
  spec.csharp:
  - uid: System.Nullable`1
    name: Nullable
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.nullable-1
  - name: <
  - name: T
  - name: '>'
  spec.vb:
  - uid: System.Nullable`1
    name: Nullable
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.nullable-1
  - name: (
  - name: Of
  - name: " "
  - name: T
  - name: )
- uid: adas_core.Domain.Models.AppSettings.MappingInterventions.Codes*
  commentId: Overload:adas_core.Domain.Models.AppSettings.MappingInterventions.Codes
  href: adas_core.Domain.Models.AppSettings.MappingInterventions.html#adas_core_Domain_Models_AppSettings_MappingInterventions_Codes
  name: Codes
  nameWithType: MappingInterventions.Codes
  fullName: adas_core.Domain.Models.AppSettings.MappingInterventions.Codes
- uid: System.Collections.Generic.List{adas_core.Domain.Models.AppSettings.InterventionsCodes}
  commentId: T:System.Collections.Generic.List{adas_core.Domain.Models.AppSettings.InterventionsCodes}
  parent: System.Collections.Generic
  definition: System.Collections.Generic.List`1
  href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  name: List<InterventionsCodes>
  nameWithType: List<InterventionsCodes>
  fullName: System.Collections.Generic.List<adas_core.Domain.Models.AppSettings.InterventionsCodes>
  nameWithType.vb: List(Of InterventionsCodes)
  fullName.vb: System.Collections.Generic.List(Of adas_core.Domain.Models.AppSettings.InterventionsCodes)
  name.vb: List(Of InterventionsCodes)
  spec.csharp:
  - uid: System.Collections.Generic.List`1
    name: List
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  - name: <
  - uid: adas_core.Domain.Models.AppSettings.InterventionsCodes
    name: InterventionsCodes
    href: adas_core.Domain.Models.AppSettings.InterventionsCodes.html
  - name: '>'
  spec.vb:
  - uid: System.Collections.Generic.List`1
    name: List
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  - name: (
  - name: Of
  - name: " "
  - uid: adas_core.Domain.Models.AppSettings.InterventionsCodes
    name: InterventionsCodes
    href: adas_core.Domain.Models.AppSettings.InterventionsCodes.html
  - name: )
- uid: System.Collections.Generic.List`1
  commentId: T:System.Collections.Generic.List`1
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  name: List<T>
  nameWithType: List<T>
  fullName: System.Collections.Generic.List<T>
  nameWithType.vb: List(Of T)
  fullName.vb: System.Collections.Generic.List(Of T)
  name.vb: List(Of T)
  spec.csharp:
  - uid: System.Collections.Generic.List`1
    name: List
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  - name: <
  - name: T
  - name: '>'
  spec.vb:
  - uid: System.Collections.Generic.List`1
    name: List
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  - name: (
  - name: Of
  - name: " "
  - name: T
  - name: )
- uid: System.Collections.Generic
  commentId: N:System.Collections.Generic
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System.Collections.Generic
  nameWithType: System.Collections.Generic
  fullName: System.Collections.Generic
  spec.csharp:
  - uid: System
    name: System
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system
  - name: .
  - uid: System.Collections
    name: Collections
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections
  - name: .
  - uid: System.Collections.Generic
    name: Generic
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic
  spec.vb:
  - uid: System
    name: System
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system
  - name: .
  - uid: System.Collections
    name: Collections
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections
  - name: .
  - uid: System.Collections.Generic
    name: Generic
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic
- uid: adas_core.Domain.Models.AppSettings.MappingInterventions.Value*
  commentId: Overload:adas_core.Domain.Models.AppSettings.MappingInterventions.Value
  href: adas_core.Domain.Models.AppSettings.MappingInterventions.html#adas_core_Domain_Models_AppSettings_MappingInterventions_Value
  name: Value
  nameWithType: MappingInterventions.Value
  fullName: adas_core.Domain.Models.AppSettings.MappingInterventions.Value
- uid: System.Collections.Generic.List{adas_core.Domain.Models.AppSettings.InterventionsValues}
  commentId: T:System.Collections.Generic.List{adas_core.Domain.Models.AppSettings.InterventionsValues}
  parent: System.Collections.Generic
  definition: System.Collections.Generic.List`1
  href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  name: List<InterventionsValues>
  nameWithType: List<InterventionsValues>
  fullName: System.Collections.Generic.List<adas_core.Domain.Models.AppSettings.InterventionsValues>
  nameWithType.vb: List(Of InterventionsValues)
  fullName.vb: System.Collections.Generic.List(Of adas_core.Domain.Models.AppSettings.InterventionsValues)
  name.vb: List(Of InterventionsValues)
  spec.csharp:
  - uid: System.Collections.Generic.List`1
    name: List
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  - name: <
  - uid: adas_core.Domain.Models.AppSettings.InterventionsValues
    name: InterventionsValues
    href: adas_core.Domain.Models.AppSettings.InterventionsValues.html
  - name: '>'
  spec.vb:
  - uid: System.Collections.Generic.List`1
    name: List
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  - name: (
  - name: Of
  - name: " "
  - uid: adas_core.Domain.Models.AppSettings.InterventionsValues
    name: InterventionsValues
    href: adas_core.Domain.Models.AppSettings.InterventionsValues.html
  - name: )
